package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.PracticeGroupType;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class CourseReviewDto {

    @ApiModelProperty(value = "分部id",required = false)
    private Integer organId;

    @ApiModelProperty(value = "分部名称",required = false)
    private String organName;

    @ApiModelProperty(value = "课程编号",required = false)
    private Integer id;

    @ApiModelProperty(value = "课程上课日期",required = false)
    private Date classDate;

    @ApiModelProperty(value = "课程名称",required = false)
    private String courseName;

    @ApiModelProperty(value = "声部id",required = false)
    private Integer subjectId;

    @ApiModelProperty(value = "声部名称",required = false)
    private String subjectName;

    @ApiModelProperty(value = "老师名字",required = false)
    private String teacherName;

    @ApiModelProperty(value = "教务老师名字",required = false)
    private String EduTeacherName;

    @ApiModelProperty(value = "购买月数",required = false)
    private Integer BuyMonths;

    private PracticeGroupType practiceGroupType;

    @ApiModelProperty(value = "评论id",required = false)
    private Integer reviewId;

    @ApiModelProperty(value = "学员评分",required = false)
    private Integer studentReview;

    @ApiModelProperty(value = "是否布置作业")
    private Integer assignHomework;
    private String assignHomeworkStr;

    @ApiModelProperty(value = "是否提交作业",required = false)
    private Integer handHomework;

    @ApiModelProperty(value = "教务评价",required = false)
    private String courseReview;

    @ApiModelProperty(value = "老师id",required = false)
    private Integer teacherId;

    @ApiModelProperty(value = "上课时间",required = false)
    private Date startClassTime;

    @ApiModelProperty(value = "下课时间",required = false)
    private Date endClassTime;

    @ApiModelProperty(value = "课程上课日期str",required = false)
    private String classDateStr;

    @ApiModelProperty(value = "上课时间Str",required = false)
    private String startClassTimeStr;

    @ApiModelProperty(value = "下课时间Str",required = false)
    private String endClassTimeStr;

    @ApiModelProperty(value = "课时长度",required = false)
    private Integer courseDuration;

    @ApiModelProperty(value = "是否提交作业备注",required = false)
    private String handHomeworkStr;

    @ApiModelProperty(value = "教材内容",required = false)
    private String teachingMaterial;

    @ApiModelProperty(value = "发音",required = false)
    private Integer pronunciation;

    @ApiModelProperty(value = "节奏",required = false)
    private Integer tempo;

    @ApiModelProperty(value = "乐理",required = false)
    private Integer musicTheory;

    @ApiModelProperty(value = "曲目",required = false)
    private String song;

    @ApiModelProperty(value = "评价备注",required = false)
    private String memo;

    @ApiModelProperty(value = "回访日期",required = false)
    private Date createTime;

    @ApiModelProperty(value = "更新时间",required = false)
    private Date updateTime;

    @ApiModelProperty(value = "回访日期Str",required = false)
    private String createTimeStr;

    @ApiModelProperty(value = "完成app双向沟通",required = false)
    private String hasLiaison;

    @ApiModelProperty(value = "学生id",required = false)
    private Integer studentId;

    @ApiModelProperty(value = "发音Str",required = false)
    private String pronunciationStr;

    @ApiModelProperty(value = "节奏Str",required = false)
    private String tempoStr;

    @ApiModelProperty(value = "乐理Str",required = false)
    private String musicTheoryStr;

    @ApiModelProperty(value = "作业是否回复",required = false)
    private String homeWorkReplied;

    @ApiModelProperty(value = "学生考勤id",required = false)
    private Integer attendanceId;

    @ApiModelProperty(value = "考勤Str",required = false)
    private String attendanceStr;

    public PracticeGroupType getPracticeGroupType() {
        return practiceGroupType;
    }

    public void setPracticeGroupType(PracticeGroupType practiceGroupType) {
        this.practiceGroupType = practiceGroupType;
    }

    public String getAssignHomeworkStr() {
        return assignHomeworkStr;
    }

    public void setAssignHomeworkStr(String assignHomeworkStr) {
        this.assignHomeworkStr = assignHomeworkStr;
    }

    public Integer getAssignHomework() {
        return assignHomework;
    }

    public void setAssignHomework(Integer assignHomework) {
        this.assignHomework = assignHomework;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getEduTeacherName() {
        return EduTeacherName;
    }

    public void setEduTeacherName(String eduTeacherName) {
        EduTeacherName = eduTeacherName;
    }

    public Integer getBuyMonths() {
        return BuyMonths;
    }

    public void setBuyMonths(Integer buyMonths) {
        BuyMonths = buyMonths;
    }

    public Integer getReviewId() {
        return reviewId;
    }

    public void setReviewId(Integer reviewId) {
        this.reviewId = reviewId;
    }

    public Integer getStudentReview() {
        return studentReview;
    }

    public void setStudentReview(Integer studentReview) {
        this.studentReview = studentReview;
    }

    public Integer getHandHomework() {
        return handHomework;
    }

    public void setHandHomework(Integer handHomework) {
        this.handHomework = handHomework;
    }

    public String getCourseReview() {
        return courseReview;
    }

    public void setCourseReview(String courseReview) {
        this.courseReview = courseReview;
    }

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Date getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(Date startClassTime) {
        this.startClassTime = startClassTime;
    }

    public Date getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(Date endClassTime) {
        this.endClassTime = endClassTime;
    }

    public String getClassDateStr() {
        return classDateStr;
    }

    public void setClassDateStr(String classDateStr) {
        this.classDateStr = classDateStr;
    }

    public String getStartClassTimeStr() {
        return startClassTimeStr;
    }

    public void setStartClassTimeStr(String startClassTimeStr) {
        this.startClassTimeStr = startClassTimeStr;
    }

    public String getEndClassTimeStr() {
        return endClassTimeStr;
    }

    public void setEndClassTimeStr(String endClassTimeStr) {
        this.endClassTimeStr = endClassTimeStr;
    }

    public Integer getCourseDuration() {
        return courseDuration;
    }

    public void setCourseDuration(Integer courseDuration) {
        this.courseDuration = courseDuration;
    }

    public String getHandHomeworkStr() {
        return handHomeworkStr;
    }

    public void setHandHomeworkStr(String handHomeworkStr) {
        this.handHomeworkStr = handHomeworkStr;
    }

    public String getTeachingMaterial() {
        return teachingMaterial;
    }

    public void setTeachingMaterial(String teachingMaterial) {
        this.teachingMaterial = teachingMaterial;
    }

    public Integer getPronunciation() {
        return pronunciation;
    }

    public void setPronunciation(Integer pronunciation) {
        this.pronunciation = pronunciation;
    }

    public Integer getTempo() {
        return tempo;
    }

    public void setTempo(Integer tempo) {
        this.tempo = tempo;
    }

    public Integer getMusicTheory() {
        return musicTheory;
    }

    public void setMusicTheory(Integer musicTheory) {
        this.musicTheory = musicTheory;
    }

    public String getSong() {
        return song;
    }

    public void setSong(String song) {
        this.song = song;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateTimeStr() {
        return createTimeStr;
    }

    public void setCreateTimeStr(String createTimeStr) {
        this.createTimeStr = createTimeStr;
    }

    public String getHasLiaison() {
        return hasLiaison;
    }

    public void setHasLiaison(String hasLiaison) {
        this.hasLiaison = hasLiaison;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getPronunciationStr() {
        return pronunciationStr;
    }

    public void setPronunciationStr(String pronunciationStr) {
        this.pronunciationStr = pronunciationStr;
    }

    public String getTempoStr() {
        return tempoStr;
    }

    public void setTempoStr(String tempoStr) {
        this.tempoStr = tempoStr;
    }

    public String getMusicTheoryStr() {
        return musicTheoryStr;
    }

    public void setMusicTheoryStr(String musicTheoryStr) {
        this.musicTheoryStr = musicTheoryStr;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getHomeWorkReplied() {
        return homeWorkReplied;
    }

    public void setHomeWorkReplied(String homeWorkReplied) {
        this.homeWorkReplied = homeWorkReplied;
    }

    public Integer getAttendanceId() {
        return attendanceId;
    }

    public void setAttendanceId(Integer attendanceId) {
        this.attendanceId = attendanceId;
    }

    public String getAttendanceStr() {
        return attendanceStr;
    }

    public void setAttendanceStr(String attendanceStr) {
        this.attendanceStr = attendanceStr;
    }
}
